Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm
Class JbpmConfiguration.Configs

    java.lang.Object
      org.jbpm.JbpmConfiguration.Configs

Enclosing class:
  JbpmConfiguration

    public abstract static class JbpmConfiguration.Configs

extends java.lang.Object

gives the jbpm domain model access to configuration information via the current JbpmContext.

Constructor Summary
`JbpmConfiguration.Configs()`

Method Summary
`static boolean` | `getBoolean(java.lang.String name)`
`static int` | `getInt(java.lang.String name)`
`static long` | `getLong(java.lang.String name)`
`static java.lang.Object` | `getObject(java.lang.String name)`
`static ObjectFactory` | `getObjectFactory()`
`static java.lang.String` | `getString(java.lang.String name)`
`static boolean` | `hasObject(java.lang.String name)`
`static void` | `setDefaultObjectFactory(ObjectFactory objectFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmConfiguration.Configs

    public JbpmConfiguration.Configs()

Method Detail

### getObjectFactory

    public static ObjectFactory getObjectFactory()

### setDefaultObjectFactory

    public static void setDefaultObjectFactory(ObjectFactory objectFactory)

### hasObject

    public static boolean hasObject(java.lang.String name)

### getObject

    public static java.lang.Object getObject(java.lang.String name)

### getString

    public static java.lang.String getString(java.lang.String name)

### getLong

    public static long getLong(java.lang.String name)

### getInt

    public static int getInt(java.lang.String name)

### getBoolean

    public static boolean getBoolean(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD